""" 
This file implements the solar_z built-in dataframe 
""" 

from __future__ import absolute_import 
from .._builtin_elemental_data import builtin_elemental_data 


#------------------------- SOLAR ABUNDANCE DATAFRAME -------------------------# 
solar_z = builtin_elemental_data({
	"he": 		0.272, 
	"c":		2.36e-3,  
	"n":		6.91e-4,  
	"o":		5.72e-3,  
	"f":		5.04e-7, 
	"ne":		1.25e-3, 
	"na": 		2.92e-5, 
	"mg":		7.06e-4, 
	"al": 		5.55e-5, 
	"si":		6.63e-4, 
	"p": 		5.81e-6, 
	"s":		3.09e-4, 
	"cl": 		8.18e-6, 
	"ar":		7.33e-5, 
	"k": 		3.06e-6, 
	"ca": 		6.40e-5, 
	"sc":		4.64e-8, 
	"ti": 		3.11e-6, 
	"v": 		3.17e-7, 
	"cr": 		1.66e-5, 
	"mn": 		1.08e-5, 
	"fe":		1.29e-3, 
	"co": 		4.20e-6, 
	"ni": 		7.11e-5, 
	"cu": 		7.18e-7, 
	"zn": 		1.73e-6, 
	"ga": 		5.58e-8, 
	"ge": 		2.37e-7, 
	"as": 		5.47e-11, 
	"se": 		5.76e-11, 
	"br": 		5.83e-11, 
	"kr": 		1.09e-7, 
	"rb": 		2.07e-8, 
	"sr":		4.74e-8, 
	"y":		1.05e-8, 
	"zr": 		2.53e-8, 
	"nb": 		1.96e-9, 
	"mo": 		5.31e-9, 
	"ru": 		4.15e-9, 
	"rh": 		6.11e-10, 
	"pd": 		2.89e-9, 
	"ag": 		6.86e-10, 
	"cd": 		8.21e-11, 
	"in": 		5.29e-10, 
	"sn": 		9.50e-9, 
	"sb": 		8.89e-11, 
	"te": 		9.31e-11, 
	"i": 		9.26e-11,  
	"xe": 		1.67e-8, 
	"cs": 		9.70e-11, 
	"ba":		1.52e-8, 
	"la":		1.28e-9, 
	"ce": 		3.89e-9, 
	"pr": 		5.40e-10, 
	"nd": 		2.77e-9, 
	"sm": 		1.00e-9, 
	"eu":		3.67e-10, 
	"gd": 		1.35e-9, 
	"tb": 		2.31e-10, 
	"dy": 		1.49e-9, 
	"ho": 		3.64e-10, 
	"er": 		1.02e-9, 
	"tm": 		1.55e-10, 
	"yb": 		8.74e-10, 
	"lu": 		1.61e-10, 
	"hf": 		9.22e-10, 
	"ta": 		1.32e-10, 
	"w": 		9.50e-10, 
	"re": 		1.36e-10, 
	"os": 		3.49e-9, 
	"ir": 		3.37e-9, 
	"pt": 		1.42e-10, 
	"au": 		1.20e-9, 
	"hg": 		1.46e-10, 
	"tl":  		1.19e-9, 
	"pb": 		8.51e-9, 
	"bi": 		1.53e-10 
}, "solar metallicity")  

